.\"
.\" Copyright (c) 1996 Jonathan Stone.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: sii.4,v 1.10 2001/09/21 09:11:48 gmcgarry Exp $
.\"
.Dd August 26, 2001
.Dt SII 4 pmax
.Os
.Sh NAME
.Nm sii
.Nd
SII SCSI adaptor
.Sh SYNOPSIS
.Cd "sii* at ibus0 addr ?"
.Cd "scsibus* at sii?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn DEC
SII SCSI adaptor ASIC used in
the DECstation 2100, 3100, and 5100, and in the VAXstation 3100.
.Pp
The
.Nm
is a medium-performance implementation of the SCSI-I common command set
supporting synchronous and asynchronous SCSI devices.
.Pp
The SII cabling is unusual: the bulkhead connector is very similar
to a standard submicro wide SCSI-II connector, but has the other gender.
.Pp
The
.Nm
chip only supports DMA to or from a fixed window in memory.
The driver uses this "window" area as a bounce buffer, copying data
to and from the DMA region.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr ibus 4 ,
.Xr intro 4 ,
.Xr sd 4 ,
.Xr st 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Bx 4.4 .
